libzypp: zyppng::IODevicePrivate Class Reference

libzypp 17.38.15

zyppng::IODevicePrivate Class Reference

`#include <zypp-core/ng/io/private/iodevice_p.h>`

Inheritance diagram for zyppng::IODevicePrivate:

## Public Member Functions
| IODevicePrivate (IODevice &p)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
std::vector< IOBuffer > | _readChannels
uint | _currentReadChannel = 0
int64_t | _readBufChunkSize = DefIoDeviceBufChunkSize
IODevice::OpenMode | _mode = IODevice::Closed
Signal< void() > | _readyRead
Signal< void(uint) > | _channelReadyRead
Signal< void(int64_t)> | _sigBytesWritten
Signal< void()> | _sigAllBytesWritten
Signal< void(uint) > | _sigReadChannelFinished
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
std::unordered_map< uint32_t, zypp::AutoDispose< void * > > | _data
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 35 of file iodevice_p.h.

## Constructor & Destructor Documentation

## ◆ IODevicePrivate()

zyppng::IODevicePrivate::IODevicePrivate | ( | IODevice & | p | ) |

Definition at line 5 of file iodevice.cc.

## Member Data Documentation

## ◆ _readChannels

std::vector<IOBuffer> zyppng::IODevicePrivate::_readChannels

Definition at line 39 of file iodevice_p.h.

## ◆ _currentReadChannel

uint zyppng::IODevicePrivate::_currentReadChannel = 0

Definition at line 40 of file iodevice_p.h.

## ◆ _readBufChunkSize

int64_t zyppng::IODevicePrivate::_readBufChunkSize = DefIoDeviceBufChunkSize

Definition at line 41 of file iodevice_p.h.

## ◆ _mode

IODevice::OpenMode zyppng::IODevicePrivate::_mode = IODevice::Closed

Definition at line 43 of file iodevice_p.h.

## ◆ _readyRead

Signal< void() > zyppng::IODevicePrivate::_readyRead

Definition at line 44 of file iodevice_p.h.

## ◆ _channelReadyRead

Signal< void(uint) > zyppng::IODevicePrivate::_channelReadyRead

Definition at line 45 of file iodevice_p.h.

## ◆ _sigBytesWritten

Signal< void (int64_t)> zyppng::IODevicePrivate::_sigBytesWritten

Definition at line 46 of file iodevice_p.h.

## ◆ _sigAllBytesWritten

Signal< void ()> zyppng::IODevicePrivate::_sigAllBytesWritten

Definition at line 47 of file iodevice_p.h.

## ◆ _sigReadChannelFinished

Signal< void(uint) > zyppng::IODevicePrivate::_sigReadChannelFinished

Definition at line 48 of file iodevice_p.h.

The documentation for this class was generated from the following files:

- zypp-core/ng/io/private/iodevice_p.h
- zypp-core/ng/io/iodevice.cc